org.apache.lucene.queryparser.flexible.standard.builders

## Class FuzzyQueryNodeBuilder

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.standard.builders.FuzzyQueryNodeBuilder

- All Implemented Interfaces:
    QueryBuilder, StandardQueryBuilder

      public class FuzzyQueryNodeBuilder
      extends Object
      implements StandardQueryBuilder

  Builds a `FuzzyQuery` object from a `FuzzyQueryNode` object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FuzzyQueryNodeBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FuzzyQuery` | `build(QueryNode queryNode)` Builds some kind of object from a query tree.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FuzzyQueryNodeBuilder

          public FuzzyQueryNodeBuilder()

  - ### Method Detail

    - #### build

          public FuzzyQuery build(QueryNode queryNode)
                           throws QueryNodeException

      Description copied from interface: `QueryBuilder`
      Builds some kind of object from a query tree.
      Specified by:
        `build` in interface `QueryBuilder`
      Specified by:
        `build` in interface `StandardQueryBuilder`
      Parameters:
        `queryNode` - the query tree root node
      Returns:
        some object generated from the query tree
      Throws:
        `QueryNodeException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.